Subject: Re: [PATCH V1 00/16] add Intel(R) X722 iWARP driver

From: Doug Ledford <[email-masked]>
Date: Wed, 23 Dec 2015 12:24:18 -0500

On 12/23/2015 11:35 AM, Faisal Latif wrote:
> On Wed, Dec 23, 2015 at 11:09:56AM -0500, Doug Ledford wrote:
>> On 12/21/2015 06:13 PM, Faisal Latif wrote:
>>> This (V1) series contains the addition of the i40iw.ko driver after
>>> incorporating the feedback from Christoph Hellwig and Joe Perches for
>>> initial series.
>>>
>>> This driver provides iWARP RDMA functionality for the Intel(R) X722 Ethernet
>>> controller for PCI Physical Functions. It also has support for Virtual
>>> Function driver (i40iwvf.ko), which that will be part of separate patch
>>> series.
>>>
>>> It cooperates with the Intel(R) X722 base driver (i40e.ko) to allocate
>>> resources and program the controller.
>>>
>>> This series include 1 patch to i40e.ko to provide interface support to
>>> i40iw.ko. The interface provides a driver registration mechanism, resource
>>> allocations, and device reset coordination mechanisms.
>>>
>>> This patch series is based on Doug Ledford's k.o/for-4.5.
>>
>> My apologies Faisal.  I had pushed that branch to github to get 0-day
>> testing, but hadn't committed it to my k.o tree as it wasn't fully
>> finalized (I was waiting for Or to get his chance to respond to it).
>> Once Or responded, I ended up taking his patchset instead, which means
>> you need to adjust your patches accordingly.
>>
> 
> Thanks Doug for the update, I will provide new patch series for latest
> k.o. Also will make sure of shallow threading for the series. I should
> have used V2 for this series instead of V1 and next series with k.o will
> make it proper with V3.

I'm going to repush my tree in 10 or 15 minutes if you haven't done the
rebase yet.  If so, the tree I pushed earlier this morning should be
good enough.

-- 
Doug Ledford <[email-masked]>
              GPG KeyID: 0E572FDD